import { defineStore } from 'pinia'
import { Profile } from '/@/components/shopSelector/types'
import { request } from '../utils/service'
import { ref, Ref } from 'vue'

// export const useShopInfo = defineStore('shopInfo', {
//   state: (): Profile => ({
//     id: 0,
//     profileId: '',
//     name: '',
//     timezone: 'America/Los_Angeles',
//     advertiserId: '',
//     countryCode: '',
//     currencyCode: '',
//     marketplaceId: ''
//   }),
//   actions: {
//     async updateShopInfo(id: number) {
//       const resp = await this.getShopInfo(id)
//       this.id = id
//       this.profileId = resp.data.profile_id
//       this.name = resp.data.account_name
//       this.timezone = resp.data.time_zone
//       this.advertiserId = resp.data.advertiser_id
//       this.countryCode = resp.data.country_code
//       this.currencyCode = resp.data.currency_code
//       this.marketplaceId = resp.data.marketplace_str_id
//     },
//     async getShopInfo(id: number) {
//       return request({
//         url: '/api/adManage/profiles/' + id + '/',
//         method: 'GET'
//       })
//     }
//   }
// })

export const userShopInfo = defineStore('shopInfo', () => {
  let profile: Ref<Profile> = ref({
    id: 0,
    profileId: '',
    name: '',
    timezone: 'America/Los_Angeles',
    advertiserId: '',
    countryCode: '',
    currencyCode: '',
    marketplaceId: ''
  })

  async function getShopInfo(id: number) {
    return request({
      url: '/api/adManage/profiles/' + id + '/',
      method: 'GET'
    })
  }

  async function updateShopInfo(id: number) {
    const resp = await getShopInfo(id)
    profile.value = resp.data
  }

  return { profile, updateShopInfo }
})
